com.corticon.rulesemf.canonicalvocabularymodel.metadata.database

## Interface TableMetadata

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface TableMetadata
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Table Metadata'.

  The following features are supported:

  - `Catalog Name`
  - `Schema Name`
  - `Table Name`
  - `Table Type`
  - `Column Metadata List`
  - `Primary Key Metadata List`
  - `Foreign Key Metadata List`
  See Also:
    `DatabasePackage.getTableMetadata()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCatalogName()` Returns the value of the 'Catalog Name' attribute
    `org.eclipse.emf.common.util.EList` | `getColumnMetadataList()` Returns the value of the 'Column Metadata List' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getForeignKeyMetadataList()` Returns the value of the 'Foreign Key Metadata List' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getPrimaryKeyMetadataList()` Returns the value of the 'Primary Key Metadata List' containment reference list.
    `java.lang.String` | `getSchemaName()` Returns the value of the 'Schema Name' attribute
    `java.lang.String` | `getTableName()` Returns the value of the 'Table Name' attribute
    `java.lang.String` | `getTableType()` Returns the value of the 'Table Type' attribute
    `void` | `setCatalogName(java.lang.String value)` Sets the value of the '`Catalog Name`' attribute
    `void` | `setSchemaName(java.lang.String value)` Sets the value of the '`Schema Name`' attribute
    `void` | `setTableName(java.lang.String value)` Sets the value of the '`Table Name`' attribute
    `void` | `setTableType(java.lang.String value)` Sets the value of the '`Table Type`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCatalogName

          java.lang.String getCatalogName()

      Returns the value of the 'Catalog Name' attribute.

      If the meaning of the 'Catalog Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Catalog Name' attribute.
      See Also:
        `setCatalogName(String)`, `DatabasePackage.getTableMetadata_CatalogName()`

    - #### setCatalogName

          void setCatalogName(java.lang.String value)

      Sets the value of the '`Catalog Name`' attribute.
      Parameters:
        `value` - the new value of the 'Catalog Name' attribute.
      See Also:
        `getCatalogName()`

    - #### getSchemaName

          java.lang.String getSchemaName()

      Returns the value of the 'Schema Name' attribute.

      If the meaning of the 'Schema Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Schema Name' attribute.
      See Also:
        `setSchemaName(String)`, `DatabasePackage.getTableMetadata_SchemaName()`

    - #### setSchemaName

          void setSchemaName(java.lang.String value)

      Sets the value of the '`Schema Name`' attribute.
      Parameters:
        `value` - the new value of the 'Schema Name' attribute.
      See Also:
        `getSchemaName()`

    - #### getTableName

          java.lang.String getTableName()

      Returns the value of the 'Table Name' attribute.

      If the meaning of the 'Table Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Table Name' attribute.
      See Also:
        `setTableName(String)`, `DatabasePackage.getTableMetadata_TableName()`

    - #### setTableName

          void setTableName(java.lang.String value)

      Sets the value of the '`Table Name`' attribute.
      Parameters:
        `value` - the new value of the 'Table Name' attribute.
      See Also:
        `getTableName()`

    - #### getTableType

          java.lang.String getTableType()

      Returns the value of the 'Table Type' attribute.

      If the meaning of the 'Table Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Table Type' attribute.
      See Also:
        `setTableType(String)`, `DatabasePackage.getTableMetadata_TableType()`

    - #### setTableType

          void setTableType(java.lang.String value)

      Sets the value of the '`Table Type`' attribute.
      Parameters:
        `value` - the new value of the 'Table Type' attribute.
      See Also:
        `getTableType()`

    - #### getColumnMetadataList

          org.eclipse.emf.common.util.EList getColumnMetadataList()

      Returns the value of the 'Column Metadata List' containment reference list. The list contents are of type `ColumnMetadata`.

      If the meaning of the 'Column Metadata List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Metadata List' containment reference list.
      See Also:
        `DatabasePackage.getTableMetadata_ColumnMetadataList()`

    - #### getPrimaryKeyMetadataList

          org.eclipse.emf.common.util.EList getPrimaryKeyMetadataList()

      Returns the value of the 'Primary Key Metadata List' containment reference list. The list contents are of type `PrimaryKeyMetadata`.

      If the meaning of the 'Primary Key Metadata List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Primary Key Metadata List' containment reference list.
      See Also:
        `DatabasePackage.getTableMetadata_PrimaryKeyMetadataList()`

    - #### getForeignKeyMetadataList

          org.eclipse.emf.common.util.EList getForeignKeyMetadataList()

      Returns the value of the 'Foreign Key Metadata List' containment reference list. The list contents are of type `ForeignKeyMetadata`.

      If the meaning of the 'Foreign Key Metadata List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Foreign Key Metadata List' containment reference list.
      See Also:
        `DatabasePackage.getTableMetadata_ForeignKeyMetadataList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.